Backtrack中metasploit连接postgres数据库

Backtrack5 中默认安装postgres数据库,并且metasploit中也默认使用postgres数据库。当我们想使用metasploit中的Nexpose插件时,要先连接数据库。首先查看数据库服务是否开启,shell命令:netstat -tnpl | grep postgres,如果开启,记下端口,一会连接数据库时需要。如果没有,去/etc/init.d/下开启,进入该目录,shell命令:ls | grep postgres,找到metasploit-postgres,shell命令:./metasploit-postgres  start,即可开启postgres服务,如果要关闭用stop即可。开启后,记下端口。
进入metasploit命令行界面:使用命令db_connect 可连接数据库,具体命令:db_connect username:password@localhost:端口号/数据库名 。用户名和密码放在/opt/metasploit/config/database.yml这个配置文件中,vim打开查看即可。端口默认为7337,数据库名默认为msf3。
本文由youthflies发表在易踪网上,本文地址:https://www.yeetrack.com/?p=256

发表评论

电子邮件地址不会被公开。 必填项已用*标注

(Spamcheck Enabled)